%define subrel 1

Summary:	A set of default configuration for LXDE
Name:	  	lxde-common
Version:	0.5.5
Release:	%mkrel 9
License:	GPLv2+
Group:		Graphical desktop/Other
Source0: 	http://dfn.dl.sourceforge.net/sourceforge/lxde/%name-%version.tar.gz
Patch102:	lxde-common-0.5.5-add-mcc-to-panel.patch
Patch103:	lxde-common-0.5.5-mga-lxpanel-customization.patch
Patch106:	lxde-common-0.5.5-default-theme.patch
URL:		http://www.lxde.org
BuildRequires:	xsltproc docbook-style-xsl
Suggests:	xscreensaver
Requires:	openbox
Requires:	lxpanel
Requires:	lxsession >= 0.4.1
Requires:	pcmanfm >= 0.9.8
Requires:	lxterminal
Requires:	lxde-icon-theme
Requires:	mageia-lxde-config >= 0.5
Requires:	notification-daemon
Requires:	libnotify
Conflicts:	mandriva-lxde-config-Free < 0.5
Conflicts:      mandriva-lxde-config-Flash < 0.5
Conflicts:      mandriva-lxde-config-One < 0.5
Conflicts:	mandriva-lxde-config-Powerpack < 0.5
Requires(post):	mageia-theme

%description
This package provides a set of default configuration for LXDE.

%prep
%setup -q
%patch102 -p0 -b .mdv-mcc
%patch103 -p1 -b .mdv-panel
%patch106 -p1 -b .theme

# set the default wallpaper
perl -pi -e 's|wallpaper=.*|wallpaper=\@prefix\@/share/mga/backgrounds/default.jpg|' pcmanfm/pcmanfm.conf.in

%build
%configure2_5x --enable-man
%make

%install
%makeinstall_std

%{find_lang} %{name}

# we'll ship this file via mandriva-lxde-config
rm -f %buildroot%{_sysconfdir}/xdg/lxsession/LXDE/desktop.conf

# we do not need this file
rm -f %buildroot%{_datadir}/xsessions/LXDE.desktop

# instead, we use wmsession.d
install -d %buildroot%_sysconfdir/X11/wmsession.d/
cat > %buildroot%_sysconfdir/X11/wmsession.d/04LXDE << EOF
NAME=LXDE
DESC=Lightweight X11 Desktops Environment
EXEC=/usr/bin/startlxde
SCRIPT:
exec /usr/bin/startlxde
EOF

# install this one manually, this provides the logout button on lxpanel:
install -m644 -D lxde-logout.desktop.in %buildroot%_datadir/applications/lxde-logout.desktop

# move pcmanfm.conf to the new location after pcmanfm-0.9.8
mkdir -p %{buildroot}%{_datadir}/lxde/pcmanfm/
mv %{buildroot}%{_sysconfdir}/xdg/pcmanfm/LXDE/pcmanfm.conf %{buildroot}%{_datadir}/lxde/pcmanfm/pcmanfm.conf

# start the notification daemon on lxde start
echo '@%{_libdir}/notification-daemon' >> %{buildroot}%{_sysconfdir}/xdg/lxsession/LXDE/autostart

# remove nosplash option because of bug #4391
sed "s+@xscreensaver -no-splash+#@xscreensaver+" -i %{buildroot}%{_sysconfdir}/xdg/lxsession/LXDE/autostart

%files -f %{name}.lang
%defattr(-, root, root)
%config %{_sysconfdir}/xdg/lxsession/LXDE/autostart
%{_sysconfdir}/X11/wmsession.d/04LXDE
%{_bindir}/*
%{_datadir}/applications/lxde-logout.desktop
%{_datadir}/lxde
%{_datadir}/lxpanel
%{_mandir}/man1/*


%changelog

* Thu Jun 14 2012 obgr_seneca <obgr_seneca> 0.5.5-9.1.mga2
+ Revision: 260569
- Layout changes in lxpanel standard config (Bug #5935)
- really added volme control to lxpanel (Bug #5935)

* Sun Mar 18 2012 obgr_seneca <obgr_seneca> 0.5.5-8.mga2
+ Revision: 223805
- Do not build noarch or the notification-deamon is not found on i586

* Wed Mar 07 2012 obgr_seneca <obgr_seneca> 0.5.5-7.mga2
+ Revision: 220979
- reverted browser to firefox on ennael's request

* Tue Mar 06 2012 zezinho <zezinho> 0.5.5-6.mga2
+ Revision: 220541
- disable xscreensaver till it gets fixed #4391

* Sat Mar 03 2012 obgr_seneca <obgr_seneca> 0.5.5-5.mga2
+ Revision: 217050
- changed customization of lxpanel

* Mon Feb 20 2012 zezinho <zezinho> 0.5.5-4.mga2
+ Revision: 211245
- workaround bug #4391 until xscreensaver is fixed

* Sat Dec 24 2011 obgr_seneca <obgr_seneca> 0.5.5-3.mga2
+ Revision: 187322
- let the notification daemon start on lxde start

  + fwang <fwang>
    - 0.5.5 final
      default to oxygen for openbox
      correct install pcman conf location

* Sun May 01 2011 ahmad <ahmad> 0.5.5-1.git20100721.1.mga1
+ Revision: 94057
+ rebuild (emptylog)

* Sun May 01 2011 ahmad <ahmad> 0.5.5-0.git20110721.6.mga1
+ Revision: 94046
- Fix the drakconf .desktop name (mga#1081)

* Sat Mar 26 2011 ahmad <ahmad> 0.5.5-0.git20110721.5.mga1
+ Revision: 77712
- try again to fix the pcmanfm config file location (maybe I'll get it right
  this time), adding a patch from upstream git
- bump pcmanfm version requires
- drop post/postun scriptles, not needed as they're already handled by rpm
  filetriggers

* Sat Feb 19 2011 ahmad <ahmad> 0.5.5-0.git20110721.3.mga1
+ Revision: 54354
- move LXDE.conf to %%{_datadir}/lxde/pcmanfm/LXDE.conf, this is where startlxde
  expects it to be

* Fri Feb 04 2011 ahmad <ahmad> 0.5.5-0.git20110721.2.mga1
+ Revision: 46986
- we use @prefix@/share/icons/mageia.png now
- default background is going to (hopefully) be @prefix@/share/backgrounds/default.jpg
- drop smproxy requires, old
- change requires to mageia-*
- imported package lxde-common


* Sat Jul 24 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.5.5-0.git20110721.1mdv2011.0
+ Revision: 557358
- add missing BR
- update to 5.5 latest git to make it work with new pcmanfm2, there's no upstream
  tarball yet so go with latest git (shouldn't break stuff)
- rediff patches 101,102,103
- drop patch104, fixed upstream
- add patch105 to fix wrong file name in make file
- disable smproxy requires
- require pcmanfm >= 0.9.7
- compile with --enable-man to create openbox-lxde man page

* Thu Jun 10 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.5.0-5mdv2010.1
+ Revision: 547838
- install lxde-logout.desktop as it provides the logout icon on lxpanel

* Wed Jun 09 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.5.0-4mdv2010.1
+ Revision: 547321
- make sure autostart file gets updated to avoid upgrade problems, should
  hopefully fix (mdv #59624)

* Thu Jan 28 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.5.0-3mdv2010.1
+ Revision: 497489
- remove setxkbmap hack. The kb layout switcher works correctly with GDM;
  we shouldn't provide a hack for an incompatible dm (KDM)

* Tue Jan 26 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.5.0-2mdv2010.1
+ Revision: 496746
- add patch to make the kb layout switcher work properly
  (will be reported upstream to see about fixing it properly)
- remove requires on lxde-settings-daemon it's been
  merged in lxsession upstream some time ago
- add patch to fix startlxde script (bug 57251)
  and it's mentioned on upstream ML

* Fri Dec 11 2009 Funda Wang <fwang@mandriva.org> 0.5.0-1mdv2010.1
+ Revision: 476250
- build noarch
- use new config file location
- new version 0.5.0

* Fri Oct 02 2009 Antoine Ginies <aginies@mandriva.com> 0.4.2-3mdv2010.0
+ Revision: 452502
- xscreensaver is now a suggests to free some more space on dual CD

* Sun Sep 27 2009 Funda Wang <fwang@mandriva.org> 0.4.2-2mdv2010.0
+ Revision: 449694
- use mandriva star

* Mon Jul 06 2009 Funda Wang <fwang@mandriva.org> 0.4.2-1mdv2010.0
+ Revision: 392827
- fix file list
- new version 0.4.2

* Tue May 26 2009 Funda Wang <fwang@mandriva.org> 0.4.1-2mdv2010.0
+ Revision: 379766
- requires lxsession as there is only one available alternatives

* Thu May 07 2009 Funda Wang <fwang@mandriva.org> 0.4.1-1mdv2010.0
+ Revision: 372816
- New version 0.4.1

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 0.4-2mdv2010.0
+ Revision: 369384
- Requires lxde-settings-daemon

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 0.4-1mdv2010.0
+ Revision: 369351
- New version 0.4

* Mon Apr 06 2009 Funda Wang <fwang@mandriva.org> 0.3.2.1-17mdv2009.1
+ Revision: 364429
- promo lxterminal over xterm

* Tue Mar 10 2009 Frederic Crozat <fcrozat@mandriva.com> 0.3.2.1-16mdv2009.1
+ Revision: 353443
- Fix typo in patch0 and remove hacks in post script for background

* Mon Mar 09 2009 Frederic Crozat <fcrozat@mandriva.com> 0.3.2.1-15mdv2009.1
+ Revision: 353111
- Bump weight in wmsession.d
- Update patch0, fix mdv bug #44061

* Tue Jan 20 2009 Anne Nicolas <anne.nicolas@mandriva.com> 0.3.2.1-14mdv2009.1
+ Revision: 331830
- decrease order to avoid openbox being launched instead of LXDE by default

* Tue Nov 04 2008 Funda Wang <fwang@mandriva.org> 0.3.2.1-13mdv2009.1
+ Revision: 299957
- detect wallpaper rather than harcode file type

* Mon Sep 22 2008 Funda Wang <fwang@mandriva.org> 0.3.2.1-12mdv2009.0
+ Revision: 286429
- fix firefox button

* Thu Jul 10 2008 Pixel <pixel@mandriva.com> 0.3.2.1-11mdv2009.0
+ Revision: 233475
- remove filetrigger for gtk icon cache since %%update_icon_cache is better
  suited for a theme which comes from only one package. and %%update_icon_cache
  has been fixed

* Sun Jun 29 2008 Funda Wang <fwang@mandriva.org> 0.3.2.1-10mdv2009.0
+ Revision: 230024
- add rpm file trigger

* Sun Jun 29 2008 Funda Wang <fwang@mandriva.org> 0.3.2.1-9mdv2009.0
+ Revision: 229933
- Use lxde native terminal: lxterminal

* Tue Jun 10 2008 Funda Wang <fwang@mandriva.org> 0.3.2.1-8mdv2009.0
+ Revision: 217332
- requires virtual package lxde-session-manager

* Mon Jun 09 2008 Funda Wang <fwang@mandriva.org> 0.3.2.1-7mdv2009.0
+ Revision: 217107
- prefer lxsession-lite

* Sat May 10 2008 Funda Wang <fwang@mandriva.org> 0.3.2.1-6mdv2009.0
+ Revision: 205379
- introduce mandriva-lxde-config

* Sun May 04 2008 Funda Wang <fwang@mandriva.org> 0.3.2.1-5mdv2009.0
+ Revision: 201125
- add panel customization

* Sun May 04 2008 Funda Wang <fwang@mandriva.org> 0.3.2.1-4mdv2009.0
+ Revision: 200982
- Add mandriva customization patches
- lower BR, we only need glib and x11, not gtk

* Sun May 04 2008 Funda Wang <fwang@mandriva.org> 0.3.2.1-3mdv2009.0
+ Revision: 200917
- requries lxsession

* Sun May 04 2008 Funda Wang <fwang@mandriva.org> 0.3.2.1-2mdv2009.0
+ Revision: 200895
- Requires specific icon theme
- import source and spec
- Created package structure for lxde-common.

